<?php
namespace classs;
use TCPDF;
//============================================================+
// File name   : example_003.php
// Begin       : 2008-03-04
// Last Update : 2013-05-14
//
// Description : Example 003 for TCPDF class
//               Custom Header and Footer
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: Custom Header and Footer
 * @author Nicola Asuni
 * @since 2008-03-04
 */

// Include the main TCPDF library (search for installation path).

// Extend the TCPDF class to create custom Header and Footer
class MYPDF extends TCPDF {

    public $titlear;
    public $titleen;
    public $address = "page";

    //Page header
    public function Header() {
        // Logo
        $image_file = 'img/logo.png';
        $this->SetFont('times', 'B', 18);
        $this->Cell(0, 15, $this->titleen, 0, false, 'L', 0, '', 0, false, 'C', 'C');
        $this->SetFont('aealarabiya', 'B', 18);
        $this->Cell(0, 15, $this->titlear, 0, false, 'R', 0, '', 0, false, 'C', 'C');
        $this->Image($image_file, 10, 10, 40, '', 'png', '', 'T', false, 300, 'C', false, false, 0, false, false, false);
        // Set font
        // Title
        // $this->Cell(0, 15, 'Nasa Travel', 0, false, 'L', 0, '', 0, false, 'M', 'M');
        // $this->writeHTML($this->titlear, true, false, true, false, '');
        
    }

    // Page footer
    public function Footer() {
        // Position at 15 mm from bottom
        $this->SetY(-40);
        // Set font
        $this->SetFont('aealarabiya', 'B', 12);
        // Page number
        $this->Cell(0, 10, 'explorenasatraveleg.com', 0, false, 'C', 0, '', 0, false, 'T', 'M');
        // $this->Cell(0, 10, '', 0, false, 'L', 0, '', 0, false, 'C', 'M');
        $this->writeHTML('0224177613', true, false, true, false, '');
        $this->Cell(0, 10, 'www.explorenasatraveleg.com', 0, false, 'C', 0, '', 0, false, 'T', 'M');
        $this->writeHTML('01559303019', true, false, true, false, '');
        // $this->Cell(0, 10, '01559303019', 0, false, 'L', 0, '', 0, false, 'C', 'M');
        // $this->writeHTML('<br / >', true, false, true, false, '');
        $this->writeHTML($this->address, true, false, true, false, 'C');
        // $this->Cell(0, 10, $this->address, 0, false, 'C', 0, '', 0, false, 'T', 'M');
        // $this->writeHTML('<br / >', true, false, true, false, '');
        $this->SetFont('aealarabiya', 'I', 8);
        $this->Cell(0, 10, 'page'.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'R', 0, '', 0, false, 'T', 'M');
    }
}
/* 
// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Nicola Asuni');
$pdf->SetTitle('TCPDF Example 003');
$pdf->SetSubject('TCPDF Tutorial');
$pdf->SetKeywords('TCPDF, PDF, example, test, guide');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
    require_once(dirname(__FILE__).'/lang/eng.php');
    $pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('times', 'BI', 12);

// add a page
$pdf->AddPage();

// set some text to print
$txt = <<<EOD
TCPDF Example 003

Custom page header and footer are defined by extending the TCPDF class and overriding the Header() and Footer() methods.
EOD;

// print a block of text using Write()
$pdf->Write(0, $txt, '', 0, 'C', true, 0, false, false, 0);

// ---------------------------------------------------------

//Close and output PDF document
$pdf->Output('example_003.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+ */